Camera Kit Compatibility

If you are a Camera Kit developer please review the Lens Studio compatibility table to ensure your Lens will work in your application.

Release Notes

5.0.12

New
  • Explore the new addition of templates as assets in the Asset Library. Discover popular effects like Code Node,  Depth Material and Face Mesh within the Featured and Essentials Category

  • New graph Get Object Transform node

  • Added ability to update curve key in Curve Editor



Improvements
  • Improved “Add New” popup which makes it easier to browse all the categories that you can add from.

 

Fixed
  • Fixed max and min values for Physics World Settings and Matter

  • Fixed issue when imported models can have wrong rotation

  • FIxed issue with low FPS in Preview scene

  • FIxed issue when user can not turn off elements which are played from animation

  • Fixed issue when project can not be opened un Preview panel is active

  • Fixed application crash when trying to pack script asset

  • Fixed missing Light Source component

  • Fixed application crash when trying perform import of old LSO

  • Fixed visual issues for Image Editor

  • Fixed issue when application may crash when trying to apply changes on prefab

  • Fixed issue when user can not export sub-graph

  • Fixed issue with Screen Transform Advanced mode

  • Fixed application crash when two textures in VFX involved

  • Fixed edge cases with animation events on AnimationPlayer

  • Fixed issue when using a delay in VFX

  • Fixed bug when an VFX is attached to a destroyed object

  • Fixed VFX resets when enabling at runtime on Metal

  • Fixed VFX Graph Editor’s context menu is not popped up

  • Fixed the LSO export does not contain the latest graph changes

  • Fixed the issue that pushing to device does not contain latest graph changes

  • Fixed the issue not showing error when failed to create subgraph


Known Issues
  • Ray Tracing does not work in this Lens Studio 5.0.12 due to breaking changes. Targeting improvement in future release.

  • Script Graph is largely not functional. Graphs will not execute in the scene or in published lenses. Most nodes are not addable

System Requirements

Operating System

Windows 10 (64 bit); MacOS 10.13+

Hardware

Minimum of Intel Core i3 2.5Ghz or AMD FX 4300 2.6Ghz or Apple M1 with 4 GB RAM; Intel HD Graphics 4000 / Nvidia GeForce 710 / AMD Radeon HD 6450 or better; screen resolution of 1280x768 or higher

Please make sure that you have the latest driver for your specific graphics card installed

Join The Community

Get updates from Snap AR including creator tools, tutorials, meetups, events, and more — all for free!